Bug 1418208 - Review Request: perl-Class-Std-Fast - Faster but less secure replacement for Class::Std
Summary: Review Request: perl-Class-Std-Fast - Faster but less secure replacement for ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Bauer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1418310
TreeView+ depends on / blocked
 
Reported: 2017-02-01 09:40 UTC by Damian Wrobel
Modified: 2017-02-26 22:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-17 20:49:38 UTC
Type: ---
zonexpertconsulting: fedora-review+


Attachments (Terms of Use)

Description Damian Wrobel 2017-02-01 09:40:20 UTC
Spec URL: https://dwrobel.fedorapeople.org/projects/rpmbuild/SPECS/perl-Class-Std-Fast.spec
SRPM URL: https://dwrobel.fedorapeople.org/projects/rpmbuild/SRPMS/perl-Class-Std-Fast-0.0.8-1.fc25.src.rpm
Description: Class::Std::Fast allows you to use the beautiful API of Class::Std in a faster way than Class::Std does. You can get the object's ident via scalarifiyng your object. Getting the objects ident is still possible via the ident method, but it's faster to scalarify your object.
Fedora Account System Username: dwrobel

Comment 1 Andrew Bauer 2017-02-02 01:11:49 UTC
Package builds in rawhide, package owns the files & folders it creates w/ proper permissions. 

https://koji.fedoraproject.org/koji/taskinfo?taskID=17545923


- I like how you handled the license, but I'm wondering if we ought to instead reference the actual Perl license text, rather than gpl 3, since that is what is referred to on the class:std::fast cpan site. 

See "The Perl 5 License (Artistic 1 & GPL 1)" -> http://dev.perl.org/licenses/

Doing that would then bring the license text in alignment with what is stated in the License: field in the rpm specfile. 

This is just my opinion and I am not a lawyer, so feel free to respond as you see fit.

- perl-generators is listed twice as a buildrequires

- rpmlint spotted trivial issues with the wording in the description as shown below.

$ rpmlint perl-Class-Std-Fast-0.0.8-1.fc25.noarch.rpm
perl-Class-Std-Fast.noarch: W: spelling-error %description -l en_US ident -> dent, indent, i dent
perl-Class-Std-Fast.noarch: W: spelling-error %description -l en_US scalarifiyng -> scarification
perl-Class-Std-Fast.noarch: W: spelling-error %description -l en_US scalarify -> scarify, clarify
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint perl-Class-Std-Fast-0.0.8-1.fc25.src.rpm
perl-Class-Std-Fast.src: W: spelling-error %description -l en_US ident -> dent, indent, i dent
perl-Class-Std-Fast.src: W: spelling-error %description -l en_US scalarifiyng -> scarification
perl-Class-Std-Fast.src: W: spelling-error %description -l en_US scalarify -> scarify, clarify
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

In my opinion, this is what I would do:
"You can get the object's identity via scalar-ifying your object. Getting the objects identity is still possible via the ident method"

rpmlint will still complain about that last "ident" but in that case the actual name of the method is being referred to.

Comment 2 Andrew Bauer 2017-02-02 01:34:19 UTC
Unrelated to the review process, this module will not build on epel7 until perl-Class-Std reaches stable:
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ca783a19ca

Comment 3 Damian Wrobel 2017-02-02 09:54:44 UTC
(In reply to Andrew Bauer from comment #1)
> Package builds in rawhide, package owns the files & folders it creates w/
> proper permissions. 
> 
> https://koji.fedoraproject.org/koji/taskinfo?taskID=17545923
> 
> 
> - I like how you handled the license, but I'm wondering if we ought to
> instead reference the actual Perl license text, rather than gpl 3, since
> that is what is referred to on the class:std::fast cpan site. 
> 
> See "The Perl 5 License (Artistic 1 & GPL 1)" ->
> http://dev.perl.org/licenses/
> 
> Doing that would then bring the license text in alignment with what is
> stated in the License: field in the rpm specfile. 
> 
> This is just my opinion and I am not a lawyer, so feel free to respond as
> you see fit.

I found a similar case in a bug 1394267, comment 2 and in the end the package didn't include any file in %license tag, which IMHO is not in line with https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text, so I added a text from http://dev.perl.org/licenses/ as you suggested.

I've also sent an e-mail to bug-Class-Std-Fast [at] rt.cpan.org asking authors to include license's text into distribution.

> 
> - perl-generators is listed twice as a buildrequires
Removed.

> - rpmlint spotted trivial issues with the wording in the description as
> shown below.
I took the original description from https://metacpan.org/pod/Class::Std::Fast#DESCRIPTION

> 
> $ rpmlint perl-Class-Std-Fast-0.0.8-1.fc25.noarch.rpm
> perl-Class-Std-Fast.noarch: W: spelling-error %description -l en_US ident ->
> dent, indent, i dent
> perl-Class-Std-Fast.noarch: W: spelling-error %description -l en_US
> scalarifiyng -> scarification
> perl-Class-Std-Fast.noarch: W: spelling-error %description -l en_US
> scalarify -> scarify, clarify
> 1 packages and 0 specfiles checked; 0 errors, 3 warnings.
> 
> $ rpmlint perl-Class-Std-Fast-0.0.8-1.fc25.src.rpm
> perl-Class-Std-Fast.src: W: spelling-error %description -l en_US ident ->
> dent, indent, i dent
> perl-Class-Std-Fast.src: W: spelling-error %description -l en_US
> scalarifiyng -> scarification
> perl-Class-Std-Fast.src: W: spelling-error %description -l en_US scalarify
> -> scarify, clarify
> 1 packages and 0 specfiles checked; 0 errors, 3 warnings.
> 
> In my opinion, this is what I would do:
> "You can get the object's identity via scalar-ifying your object. Getting
> the objects identity is still possible via the ident method"
Thank you for providing the correction - applied.

> 
> rpmlint will still complain about that last "ident" but in that case the
> actual name of the method is being referred to.

Updated spec & srpm:
Spec URL: https://dwrobel.fedorapeople.org/projects/rpmbuild/SPECS/perl-Class-Std-Fast.spec
SRPM URL: https://dwrobel.fedorapeople.org/projects/rpmbuild/SRPMS/perl-Class-Std-Fast-0.0.8-2.fc25.src.rpm

Comment 4 Andrew Bauer 2017-02-02 14:59:50 UTC
Latest srpm builds in rawhide:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17550405

This package has been approved.

I am interested in co-maintaining this package with you.
I'll request access to it as soon as it shows in the package database.

Comment 5 Gwyn Ciesla 2017-02-02 16:07:02 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Class-Std-Fast

Comment 6 Fedora Update System 2017-02-02 17:36:35 UTC
perl-Class-Std-Fast-0.0.8-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c20e7d1d4c

Comment 7 Fedora Update System 2017-02-02 17:36:43 UTC
perl-Class-Std-Fast-0.0.8-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-907c53be46

Comment 8 Fedora Update System 2017-02-02 17:36:48 UTC
perl-Class-Std-Fast-0.0.8-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2a000e33e1

Comment 9 Fedora Update System 2017-02-03 22:54:41 UTC
perl-Class-Std-Fast-0.0.8-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c20e7d1d4c

Comment 10 Fedora Update System 2017-02-03 23:49:54 UTC
perl-Class-Std-Fast-0.0.8-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-907c53be46

Comment 11 Fedora Update System 2017-02-04 01:18:49 UTC
perl-Class-Std-Fast-0.0.8-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2a000e33e1

Comment 12 Fedora Update System 2017-02-11 00:25:51 UTC
perl-Class-Std-Fast-0.0.8-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-963e4ee3c5

Comment 13 Fedora Update System 2017-02-11 16:18:46 UTC
perl-Class-Std-Fast-0.0.8-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-963e4ee3c5

Comment 14 Fedora Update System 2017-02-17 20:49:38 UTC
perl-Class-Std-Fast-0.0.8-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-02-17 20:51:27 UTC
perl-Class-Std-Fast-0.0.8-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-02-20 22:18:08 UTC
perl-Class-Std-Fast-0.0.8-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-02-26 22:19:30 UTC
perl-Class-Std-Fast-0.0.8-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.